|  | Home | Documentation | saml2__AuthnContextType Struct Reference updated Wed Apr 5 2017 by Robert van Engelen |

- Main Page
- Related Pages
- Classes
- Files

- Class List
- Class Members

Public Attributes | List of all members
saml2__AuthnContextType Struct Reference

"urn:oasis:names:tc:SAML:2.0:assertion":AuthnContextType is a complexType. More...

`#include <saml2.h>`

## Public Attributes
char * | saml2__AuthnContextClassRef
| Element reference "urn:oasis:names:tc:SAML:2.0:assertion:""urn:oasis:names:tc:SAML:2.0:assertion":AuthnContextClassRef. More...
_XML | saml2__AuthnContextDecl
| Element reference "urn:oasis:names:tc:SAML:2.0:assertion:""urn:oasis:names:tc:SAML:2.0:assertion":AuthnContextDecl. More...
char * | saml2__AuthnContextDeclRef
| Element reference "urn:oasis:names:tc:SAML:2.0:assertion:""urn:oasis:names:tc:SAML:2.0:assertion":AuthnContextDeclRef. More...
$int | __sizeAuthenticatingAuthority
| Element reference "urn:oasis:names:tc:SAML:2.0:assertion:""urn:oasis:names:tc:SAML:2.0:assertion":AuthnContextDecl. More...
char ** | saml2__AuthenticatingAuthority
| Array char* * of size 0..unbounded. More...

## Detailed Description

"urn:oasis:names:tc:SAML:2.0:assertion":AuthnContextType is a complexType.

struct saml2__AuthnContextType operations:

- soap_default_saml2__AuthnContextType(soap*, saml2__AuthnContextType*) reset members to default
- int soap_read_saml2__AuthnContextType(soap*, saml2__AuthnContextType*) deserialize from a source
- int soap_write_saml2__AuthnContextType(soap*, saml2__AuthnContextType*) serialize to a sink
- saml2__AuthnContextType* soap_dup_saml2__AuthnContextType(soap*, saml2__AuthnContextType* dst, saml2__AuthnContextType <em>src) returns deep copy of saml2__AuthnContextType src into dst, copies the (cyclic) graph structure when a context is provided, or (cycle-pruned) tree structure with soap_set_mode(soap, SOAP_XML_TREE) (use soapcpp2 -Ec)
- soap_del_saml2__AuthnContextType(saml2__AuthnContextType) deep deletes saml2__AuthnContextType data members, use only on dst after soap_dup_saml2__AuthnContextType(NULL, saml2__AuthnContextType *dst, saml2__AuthnContextType *src) (use soapcpp2 -Ed)

## Member Data Documentation

$int saml2__AuthnContextType::__sizeAuthenticatingAuthority

Element reference "urn:oasis:names:tc:SAML:2.0:assertion:""urn:oasis:names:tc:SAML:2.0:assertion":AuthnContextDecl.

Element reference "urn:oasis:names:tc:SAML:2.0:assertion:""urn:oasis:names:tc:SAML:2.0:assertion":AuthnContextDeclRef. Size of the dynamic array of char* * is 0..unbounded.

char* * saml2__AuthnContextType::saml2__AuthenticatingAuthority

Array char* * of size 0..unbounded.

char* saml2__AuthnContextType::saml2__AuthnContextClassRef

Element reference "urn:oasis:names:tc:SAML:2.0:assertion:""urn:oasis:names:tc:SAML:2.0:assertion":AuthnContextClassRef.

Note
  <xs:choice> with embedded <xs:sequence> or <xs:group> prevents the use of a union for <xs:choice>. Instead of being members of a union, the following members are declared optional. Only one member should be non-NULL by choice.

_XML saml2__AuthnContextType::saml2__AuthnContextDecl

Element reference "urn:oasis:names:tc:SAML:2.0:assertion:""urn:oasis:names:tc:SAML:2.0:assertion":AuthnContextDecl.

char* saml2__AuthnContextType::saml2__AuthnContextDeclRef

Element reference "urn:oasis:names:tc:SAML:2.0:assertion:""urn:oasis:names:tc:SAML:2.0:assertion":AuthnContextDeclRef.

The documentation for this struct was generated from the following file:

- saml2.h